package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

@ApiModel("菜品食材关联")
@TableName("menu_material_dishes")
public class MenuMaterialDishes extends Model<MenuMaterialDishes> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("食材id")
   private Long materialId;
   @ApiModelProperty("食材重量(g)")
   private Double weight;
   @ApiModelProperty("材料类型(1主料,2辅料,3配料)")
   private Integer materialType;
   @ApiModelProperty("删除标识")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Double getWeight() {
      return this.weight;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setWeight(final Double weight) {
      this.weight = weight;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
